MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Create CaseCreate SuiteDelete CaseDelete SuiteDraft From ConversationGenerate DraftsGet GateGet RunList CasesList RunsList SuitesStart RunsUpdate CaseUpdate Suite
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceSimulation Tests

Draft From Conversation

POST
/v1/simulation-suites/{suite_id}/cases/from-conversation

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

suite_id*Suite Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/simulation-suites/497f6eca-6276-4993-bfeb-53cbbbba6f08/cases/from-conversation" \  -H "Content-Type: application/json" \  -d '{    "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407"  }'
{  "draft": {    "name": "string",    "persona": "string",    "goal": "string",    "opening_message": "string",    "success_criterion": "string",    "max_turns": 20,    "tool_mocks": {      "property1": [        {          "when": {},          "result": null,          "is_error": false        }      ],      "property2": [        {          "when": {},          "result": null,          "is_error": false        }      ]    },    "checks": [      {        "type": "tool_called",        "tool": "string",        "args": {}      }    ]  },  "origin_conversation_id": "4754211d-696b-46d6-8b2f-376fa5a2850c"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Delete Suite

Previous Page

Generate Drafts

Next Page

conversation_id*Conversation Id
Formatuuid